/**
 * WlanMap 0.9
 *
 * Copyright 2013      Konrad Enzensberger <e.konrad@mpegcode.com>
 * All rights reserved.
 *
 * WlanMap is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * WlanMap is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.*
 *
 * You should have received a copy of the GNU General Public License
 * along with wlanapi library.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <QApplication>

#include "mainwindow.h"

using namespace Marble;

int main(int argc, char *argv[])
{
  //  Q_INIT_RESOURCE(wlanmap);
    QApplication app(argc, argv);
    app.setApplicationName("Wlan map");
    app.setOrganizationName("enzensberger");
    MainWindow *mainWin = new MainWindow;

	if(argc>1)
	{
		QString qsFile(argv[1]);
		if(!qsFile.isEmpty())
			mainWin->setDataPath(qsFile);
	}
#if defined(Q_OS_SYMBIAN)
    mainWin->showMaximized();
#else
	mainWin->init();
    mainWin->show();
#endif
    return app.exec();
}
