/**
 * WlanMap 0.9
 *
 * Copyright 2013      Konrad Enzensberger <e.konrad@mpegcode.com>
 * All rights reserved.
 *
 * WlanMap is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * WlanMap is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.*
 *
 * You should have received a copy of the GNU General Public License
 * along with wlanapi library.  If not, see <http://www.gnu.org/licenses/>.
 */

/* INCLUDE FILES **************************************************************/
#include "WlanControlSplitter.h"
//#include "Splitter.h"

/* PUBLIC *********************************************************************/
WlanControlSplitter::WlanControlSplitter(Qt::Orientation orientation, QWidget* parent)
:	QSplitter(orientation, parent)
{
	//setOpaqueResize(false);
}

WlanControlSplitter::~WlanControlSplitter()
{
}

/* PROTECTED ******************************************************************/
QSplitterHandle* WlanControlSplitter::createHandle()
{
	return new QSplitterHandle(orientation(), this);
}

/* PRIVATE ********************************************************************/

/******************************************************************************/
/* END OF FILE                                                                */
/******************************************************************************/