/******************************************************************************************************************
 *	@file			KmlSnippetTagHandler.h
 *	@copyright		&copy; 2010 Rohde&Schwarz, Munich
 *	@version		$Header: \ISAR_dev\userinterface\MapViewControl\marblewidget\GeoData\handlers\kml\KmlSnippetTagHandler.h   \main\3     
 *	5 November 2010 16:49:35  enzensbe $
 *
 *	@author			Konrad Enzensberger
 *	@responsible	KOnrad Enzensberger
 * 
 *	@language		C++ ANSI V3
 *
 *	@description 	This file defines the MapView TreeViewWidget.
 *					
 *					
 *****************************************************************************************************************/

#ifndef MARBLE_KML_KMLSNIPPETTAGHANDLER_H
#define MARBLE_KML_KMLSNIPPETTAGHANDLER_H

#include "GeoTagHandler.h"

namespace Marble
{
namespace kml
{

class KmlSnippetTagHandler : public GeoTagHandler
{
public:
    virtual GeoNode* parse(GeoParser&) const;
};

}
}

#endif
